Package relaxngcc

## Class BuildError

- java.lang.Object
- - relaxngcc.BuildError

-     public class BuildError
      extends java.lang.Object

  Author:
    okajima An error or warning detected in the parsing of grammar

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `ERROR` |
    `static int` | `WARNING` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BuildError​(int type, org.xml.sax.Locator loc, java.lang.String msg)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getType()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ERROR

          public static final int ERROR

      See Also:
        Constant Field Values

    - #### WARNING

          public static final int WARNING

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BuildError

          public BuildError​(int type,
                            org.xml.sax.Locator loc,
                            java.lang.String msg)

  - ### Method Detail

    - #### getType

          public int getType()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`